
Redmine - Defect #34400

SSL certificate for https://rubygems.org/

2020-12-06 08:51 - ashraf alzyoud

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Gems support Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 4.1.1

Description

after update last svn update

i cant do bundel update

Could not verify the SSL certificate for https://rubygems.org/.

There is a chance you are experiencing a man-in-the-middle attack, but most likely your system

doesn't have the CA certificates needed for verification. For information about OpenSSL

certificates, see http://bit.ly/ruby-ssl. To connect without using SSL, edit your Gemfile sources

and change 'https' to 'http'.

History

#1 - 2020-12-06 10:43 - ashraf alzyoud

Retrying dependency api due to error (4/4): Bundler::Fetcher::CertificateFailureError Could not verify the SSL certificate for 

https://index.rubygems.org/api/v1/dependencies?gems=actionpack-xml_parser%2Cactivemodel-serializers-xml%2Cactiverecord-compatible_legacy_

migration%2Cactiverecord-session_store%2Cacts_as_list%2Cbundler%2Ccapybara%2Ccsv%2Cffi%2Chtmlentities%2Ci18n%2Ckaminari%2Claunc

hy%2Cmail%2Cmimemagic%2Cmini_magick%2Cmini_mime%2Cmocha%2Cmysql2%2Cnet-ldap%2Cnokogiri%2Cpandoc-ruby%2Cpaperclip%2Cpo

ltergeist%2Cpuma%2Crack-openid%2Crails%2Crails-dom-testing%2Crbpdf%2Credcarpet%2Credmine_crm%2Credmine_extensions%2Crequest_st

ore%2Croadie-rails%2Crouge%2Crubocop%2Crubocop-performance%2Crubocop-rails%2Cruby-openid%2Crubyzip%2Csass%2Cselenium-webdriv

er%2Csimplecov%2Cspreadsheet%2Ctzinfo-data%2Cvcard%2Cwicked_pdf%2Cwkhtmltopdf-binary%2Cwrite_xlsx%2Cyard.

#2 - 2020-12-10 05:44 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Invalid

RubyGems is not part of Redmine but a third party thing, so unfortunately there is nothing we can do to help you with the troubles that are occurring in

your system.

Perhaps updating root certificates in your system will fix the issue.
